#
# spec file for package pcachefs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pcachefs
Version:        0.1
Release:        2.1
Summary:        Simple filesystem caching layer (based on FUSE)
License:        Apache-2.0
Group:          System/Filesystems
Url:            https://pcachefs.googlecode.com/files/%{name}-%{version}.tgz
Source:         %{name}-%{version}.tgz
BuildRequires:  python-fuse
Requires:       python-fuse
BuildArch:      noarch

%description
pCacheFS provides a simple caching layer for other filesystems, which can make
slow, remote filesystems seem very fast to access. The cache does not disappear
when you start/stop pCacheFS or reboot - it is persistent.

It is designed for caching large amounts of data on remote filesystems that
don't change very much, such as movie/music libraries.

Key features
* you can choose where to store your persistent cache - local harddisk, ramdisk
  filesystem, etc
* cache contents of any other filesystem, whether local or remote (even other
  FUSE filesystems such as sshfs)
* pCacheFS caches data as it is read, and only the bits that are read

Currently pCacheFS mounts are read-only - writes are not supported.

%prep
%setup -q -n %{name}

%build

%install
install -m755 -d %{buildroot}%{python_sitelib}/pcachefs
install -m755 -D pcachefs.py %{buildroot}%{python_sitelib}/pcachefs
install -m755 ranges.py %{buildroot}%{python_sitelib}/pcachefs

mkdir -p %{buildroot}%{_bindir}
# python-launcher, copied from AUR package
echo "#!/bin/sh" > %{buildroot}%{_bindir}/pcachefs
echo 'python %{python_sitelib}/pcachefs.py "$@"' >> %{buildroot}%{_bindir}/pcachefs

%files
%defattr(-,root,root)
%doc LICENSE README
%attr(755,-,-) %{_bindir}/pcachefs
%dir %{python_sitelib}/pcachefs
%{python_sitelib}/pcachefs/*

%changelog
* Mon Sep  1 2014 dsterba@suse.cz
- initial import 0.1
